
<?php
/**
 * The admin-FRONT-specific functionality of the plugin.
 *
 * @link       https://www.chiptuningreseller.com
 * @since      5.0.0
 *
 * @package    Ctr
 * @subpackage Ctr/admin
 */

require_once plugin_dir_path(dirname(__FILE__)) . 'includes/class-ctr-media.php';
require_once plugin_dir_path(dirname(__FILE__)) . 'includes/class-ctr-templator.php';

class Ctr_Admin_Front
{
    private $templator;
    private $media;

    /** Flush all cache */
    public function flush_cache()
    {
        global $wpdb;
        if ($wpdb->query("DELETE FROM {$wpdb->prefix}options WHERE option_name LIKE ('%_ctr_%');")) {
            return 'All CTR cache items have been deleted!';
        }
    }

    /** Flush all media */
    public function flush_media()
    {
        $this->media = new CTR_Media();
        global $wpdb;
        if ($this->media->clear_media(true)) {
            if(is_numeric($wpdb->query("DELETE FROM {$wpdb->prefix}options WHERE option_name LIKE ('%_ctr_media_%');"))) {
                echo 'All media items and the media cache have been deleted. Please visit your site again to re-load all images or let the visitors do the work for you. The website can be a bit slower due to first-time loading. Sometimes it needs some time to correctly load all images and therefore you may see the placeholder in some occassions.';
            }
        } else {
            echo 'Something went wrong. Please check manually if the items have been deleted or try again.';
        }
    }

    /** Flush all cached blade templates */
    public function flush_templates()
    {
        $this->templator = new CTR_Templator();
        if ($this->templator->clear_cache()) {
            return 'All the cached pages have been removed!';
        } else {
            return 'Something went wrong trying to delete the template cache!';
        }
    }
}