<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.chiptuningreseller.com
 * @since      3.0.0
 *
 * @package    Ctr
 * @subpackage Ctr/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div id="chiptuningreseller-settings-container">
    <form class='mar-plugin-form' method="post" action="" enctype="multipart/form-data" style="background: white;padding: 20px;border: 1px solid #ddd;margin-right: 20px;border-radius: 4px;">
    <div class="chiptuningreseller-masthead__logo-container">
        <img style="float:right; padding-right:40px; padding-top:20px; padding-bottom:10px;max-width:300px;" class="chiptuningreseller-masthead__logo" src="<?php echo esc_url( plugins_url( '../../public/assets/chiptuningreseller-logo-black.png', __FILE__ ) ); ?>" alt="ChiptuningReseller"/>
        <h2 style="position:absolute;right:60px;padding-top:25px;"> <?php echo CTR_VERSION; ?></h2>
    </div>
    <?php if(TESTMODE) { ?>
        <h3 class="msg-warning" style="float:right;padding-top:10px;padding-right:15px;">Localhost testmode activated - connected to staging server!</h3>
    <?php } ?>
    <input type="hidden" name="form_type" value="customisation" />
    <h2><span class="dashicons dashicons-admin-appearance"></span> <?php _e("ChiptuningReseller customisation", "ctr"); ?></h2>
            <?php _e("Manage your ChiptuningReseller customisations here.", "ctr"); ?>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th scope="row"><?php _e("Show dropdown selector", "ctr"); ?>?</th>
                        <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Show dropdown selector", "ctr"); ?>?</span></legend><label for="layout_show_selector">
                            <select name="layout_settings[show_selector]" id="layout_show_selector">
                                <option name="selector" value="none" <?php if((isset($catalogData['layout_settings']['show_selector'])) && ($catalogData['layout_settings']['show_selector'] == 'none')) {echo 'selected'; } ?>>None</option>
                                <option name="selector" value="selector" <?php if((isset($catalogData['layout_settings']['show_selector'])) && ($catalogData['layout_settings']['show_selector'] == 'selector')) {echo 'selected'; } ?>>Show dropdown selector</option>
                                <option name="selector" value="iconcrumbs" <?php if((isset($catalogData['layout_settings']['show_selector'])) && ($catalogData['layout_settings']['show_selector'] == 'iconcrumbs')) {echo 'selected'; } ?>>Show icon breadcrumbs</option>
                            <?php _e("Show dropdown selector", "ctr"); ?></label>
                        </fieldset></td>
                    </tr>
                    <tr>
                        <th scope="row"><?php _e("Show theme sidebar", "ctr"); ?>?</th>
                        <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Show theme sidebar", "ctr"); ?>?</span></legend><label for="show_sidebar">
                            <input name="layout_settings[show_sidebar]" type="checkbox" id="show_sidebar" value="1" <?php if((isset($catalogData['layout_settings']['show_sidebar'])) && ($catalogData['layout_settings']['show_sidebar'] == '1')) {echo 'checked'; } ?>>
                            <?php _e("Show theme sidebar", "ctr"); ?></label>
                        </fieldset></td>
                    </tr>
                    <tr>
                        <th scope="row"><?php _e("Show basic table", "ctr"); ?>?</th>
                        <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Show basic table for stages", "ctr"); ?>?</span></legend><label for="layout_show_basic_table">
                            <input name="layout_settings[show_basic_table]" type="checkbox" id="layout_show_basic_table" value="1" <?php if((isset($catalogData['layout_settings']['show_basic_table'])) && ($catalogData['layout_settings']['show_basic_table'] == '1')) {echo 'checked'; } ?>>
                            <?php _e("Show basic table for stages", "ctr"); ?></label>
                        </fieldset></td>
                    </tr>
                    <tr>
                        <th scope="row"><?php _e("Visual graphics", "ctr"); ?>?</th>
                        <td>
                            <div class="chartIconButton">
                                <label for="layout_increaser_table">
                            <img class="smallIcon" src="<?php echo esc_url( plugins_url( '../../admin/icon-increasechart.svg', __FILE__ ) ); ?>"><br/><br/><div class="clearfix"></div>
                            <input name="layout_settings[show_increaser_table]" type="checkbox" id="layout_increaser_table" value="1" <?php if((isset($catalogData['layout_settings']['show_increaser_table'])) && ($catalogData['layout_settings']['show_increaser_table'] == '1')) {echo 'checked'; } ?>>
                            <?php _e("Show increasing counter table for stages", "ctr"); ?></label>
                            </div>
                        <?php if((isset($catalogData['connection_valid']['subscriptions'])) && (in_array('premium', $catalogData['connection_valid']['subscriptions'])))  { ?>
                            <div class="chartIconButton">
                            <label for="barchart">
                                <img class="smallIcon" src="<?php echo esc_url( plugins_url( '../../admin/icon-barchart.svg', __FILE__ ) ); ?>">
                                <br/><br/>
                                <input name="layout_settings[show_graph][barchart]" type="checkbox" id="barchart" value="1" <?php if((isset($catalogData['layout_settings']['show_graph']['barchart'])) && ($catalogData['layout_settings']['show_graph']['barchart'] == '1')) {echo 'checked'; } ?>>
                                <?php _e("Show bar chart for stages", "ctr"); ?></label>
                            </div>
                            <div class="chartIconButton">
                                <label for="piechart">
                                <img class="smallIcon" src="<?php echo esc_url( plugins_url( '../../admin/icon-piechart.svg', __FILE__ ) ); ?>">
                                <br/><br/>
                                <input name="layout_settings[show_graph][piechart]" type="checkbox" id="piechart" value="1" <?php if((isset($catalogData['layout_settings']['show_graph']['piechart'])) && ($catalogData['layout_settings']['show_graph']['piechart'] == '1')) {echo 'checked'; } ?>>
                                <?php _e("Show donut chart for stages", "ctr"); ?></label>
                            </div>
                            <div class="chartIconButton">
                                <label for="linechart">
                                <img class="smallIcon" src="<?php echo esc_url( plugins_url( '../../admin/icon-linechart.svg', __FILE__ ) ); ?>">
                                <br/><br/>
                                <input name="layout_settings[show_dyno]" type="checkbox" id="linechart" value="1" <?php if((isset($catalogData['layout_settings']['show_dyno'])) && ($catalogData['layout_settings']['show_dyno'] == '1')) {echo 'checked'; } ?>>
                                <?php _e("Show dynosheet for stages", "ctr"); ?></label>
                            </div>
                        <?php } ?>
                        <div class="supportmsg"><small>Although it may look nice, we recommend not to enable all charts, because this confuses customers</small></div>
                        
                        </td>
                        
                        
                    </tr>
                    <?php if((isset($catalogData['connection_valid']['subscriptions'])) && (in_array('premium', $catalogData['connection_valid']['subscriptions'])))  { ?>
                        <tr>
                            <th scope="row"><?php _e("Stage graph and dyno colors", "ctr"); ?></th>
                            <td>
                                <fieldset style="float:left; padding-right:15px;">
                                    <legend class="screen-reader-text"><span><?php _e("Customise graph colors", "ctr"); ?>?</span></legend>
                                    <?php _e("HP color original", "ctr"); ?><br/>
                                    <label for="layout_settings[graph_colors][original][hp]">
                                        <input data-alpha="true" data-default-color="rgba(0,0,0,0.85)" name="layout_settings[graph_colors][original][hp]" class="color-picker" type="text" id="graph_colors[original][hp]" placeholder="#" value="<?php if(isset($catalogData['layout_settings']['graph_colors']['original']['hp'])) {echo $catalogData['layout_settings']['graph_colors']['original']['hp']; } ?>">
                                    </label><br/><br/>
                                    <?php _e("Nm color original", "ctr"); ?><br/>
                                    <label for="layout_settings[graph_colors][original][nm]">
                                        <input data-alpha="true" data-default-color="rgba(0,0,0,0.85)" name="layout_settings[graph_colors][original][nm]" class="color-picker" type="text" id="graph_colors[original][nm]" placeholder="#" value="<?php if(isset($catalogData['layout_settings']['graph_colors']['original']['nm'])) {echo $catalogData['layout_settings']['graph_colors']['original']['nm']; } ?>">
                                    </label>
                                </fieldset>
                                <fieldset style="float:left;">
                                    <legend class="screen-reader-text"><span><?php _e("Customise graph colors", "ctr"); ?>?</span></legend>
                                    <?php _e("HP color tuning", "ctr"); ?><br/>
                                    <label for="layout_settings[graph_colors][tuning][hp]">
                                        <input data-alpha="true" data-default-color="rgba(0,0,0,0.85)" name="layout_settings[graph_colors][tuning][hp]" class="color-picker" type="text" id="graph_colors[tuning][hp]" placeholder="#" value="<?php if(isset($catalogData['layout_settings']['graph_colors']['tuning']['hp'])) {echo $catalogData['layout_settings']['graph_colors']['tuning']['hp']; } ?>">
                                    </label><br/><br/>
                                    <?php _e("Nm color tuning", "ctr"); ?><br/>
                                    <label for="layout_settings[graph_colors][tuning][nm]">
                                        <input data-alpha="true" data-default-color="rgba(0,0,0,0.85)" name="layout_settings[graph_colors][tuning][nm]" class="color-picker" type="text" id="graph_colors[tuning][nm]" placeholder="#" value="<?php if(isset($catalogData['layout_settings']['graph_colors']['tuning']['nm'])) {echo $catalogData['layout_settings']['graph_colors']['tuning']['nm']; } ?>">
                                    </label>
                                </fieldset>
                                <fieldset style="float:left; width:220px; padding-left:10%">
                                    <strong>Important</strong>: please use both levelers to select an RGBA color! This is important, otherwise the graphics won't work correctly!
                                    <img src="<?php echo esc_url( plugins_url( '../../admin/colorpicker_instructions.jpeg', __FILE__ ) ); ?>">
                                </fieldset>
                                <fieldset style="float:left; width:220px; padding-left:10%">
                                    <table>
                                        <tr><td colspan="3"><strong>Show stages in graphs</strong></td></tr>
                                        <tr>
                                            <td>Stage 1</td>
                                            <td>Stage 2</td>
                                            <td>Stage 3</td>
                                            <td>Stage 4</td></tr>
                                        <tr>
                                            <td>
                                                <input name="layout_settings[graph_display][stage_1]" type="checkbox" id="layout_graphs_stage_1" value="1" <?php if((isset($catalogData['layout_settings']['graph_display']['stage_1'])) && ($catalogData['layout_settings']['graph_display']['stage_1'] == '1')) {echo 'checked'; } ?>>
                                            </td>
                                            <td><input name="layout_settings[graph_display][stage_2]" type="checkbox" id="layout_graphs_stage_2" value="1" <?php if((isset($catalogData['layout_settings']['graph_display']['stage_2'])) && ($catalogData['layout_settings']['graph_display']['stage_2'] == '1')) {echo 'checked'; } ?>>
                                            </td>
                                            <td>
                                                <input name="layout_settings[graph_display][stage_3]" type="checkbox" id="layout_graphs_stage_3" value="1" <?php if((isset($catalogData['layout_settings']['graph_display']['stage_3'])) && ($catalogData['layout_settings']['graph_display']['stage_3'] == '1')) {echo 'checked'; } ?>>
                                            </td>
                                            <td>
                                                <input name="layout_settings[graph_display][stage_4]" type="checkbox" id="layout_graphs_stage_4" value="1" <?php if((isset($catalogData['layout_settings']['graph_display']['stage_4'])) && ($catalogData['layout_settings']['graph_display']['stage_4'] == '1')) {echo 'checked'; } ?>>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <th scope="row"><?php _e("Show ECU and detailed information", "ctr"); ?>?</th>
                            <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Show detailed ECU and tool information", "ctr"); ?>?</span></legend><label for="layout_show_ecu_info">
                                <input name="layout_settings[show_ecu_info]" type="checkbox" id="layout_show_ecu_info" value="1" <?php if((isset($catalogData['layout_settings']['show_ecu_info'])) && ($catalogData['layout_settings']['show_ecu_info'] == '1')) {echo 'checked'; } ?>>
                                <?php _e("Show ECU and tool information (beta, not yet available for every model!)", "ctr"); ?></label>
                            </fieldset></td>
                        </tr>
                    <?php } else { ?>
                        <tr>
                            <th scope="row"><?php _e("Show power graph", "ctr"); ?>?</th>
                            <td>
                                <div class="msg-error"><span class="dashicons dashicons-star-filled"></span> <?php _e("Sorry, stage graphs / dynosheets are only available for premium customers", "ctr"); ?></div>
                            </td>
                        </tr>
                    <?php } ?>
                    <tr>
                        <th scope="row"><?php _e("Stage text", "ctr"); ?></th>
                        <td>
                            <fieldset>
                                <legend class="screen-reader-text"><span><?php _e("Show text on a stage page (may contain shortcodes)", "ctr"); ?></span></legend>
                                <p><label for="stage_text"><?php _e("Show text on a stage page (may contain shortcodes)", "ctr"); ?></label></p>
                                <p>
                                    <?php
                                    $text = stripslashes( $catalogData['stage_text'] );
                                    $custom_editor_settings = array(
                                        'teeny'         => false,
                                        'textarea_rows' => 15,
                                        'tabindex'      => 1,
                                        'media_buttons' => false,
                                        "textarea_name" => "stage_text"
                                    );
                                    wp_editor( $text, 'stage_text', $custom_editor_settings );
                                    ?>
                                </p>
                            </fieldset>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row"><?php _e("Custom CSS codes", "ctr"); ?></th>
                        <td>
                            <fieldset>
                                <h4><a href="/wp-admin/admin.php?page=__chiptuningreseller&tab=fourth">Custom CSS has moved to our template editor</a></h4>
                                We do not add custom inline css anymore. Using fixed files is much faster and applied in the correct position. Please use our Template Editor and see the files under 'css'.
                            </fieldset>
                            <input type="hidden" name="update_settings" value="1">
                        </td>
                    </tr>
                    <tr>
                        <th scope="row"><?php _e("Advanced customisation", "ctr"); ?></th>
                        <td>
                            <fieldset>
                            <?php _e("To customise your plugin even further, it's possible to override templates!", "ctr"); ?>.<br/>
                                Then you can edit them as you like and add all kinds of custom data. See the help section for more information or <a href="#" id="copyTemplates">Click here to copy the template files</a>
                            </fieldset>
                            <input type="hidden" name="update_settings" value="1">
                        </td>
                    </tr>
                </tbody></table>
                <?php submit_button("Save"); ?>
            </div>
    </form>
</div>

<script>
jQuery(document).ready(function($) {
    $('.color-picker').wpColorPicker();
    $( "#copyTemplates" ).click(function() {
        var confTrashCache = confirm("Are you 100% sure?\nIf you have customized templates already, THESE WILL BE SKIPPED!");
        if (confTrashCache == true) {
            jQuery.post(ajaxurl, {'action': 'copy_templates'}, function(response) {
                alert(response);
            });    
        } else {
            txt = "Nothing done";
        }
        
    });
});

</script>
<style>
    .chartIconButton { width:250px; text-align:center; float:left; padding:4px; }
    .chartIconButton img {clear:both; }
    .chartIconButton:hover { background-color:#c0c0c0; }
    .smallIcon {max-width:40px;}
    .supportmsg { width:100%; clear:both; }
</style>