<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.chiptuningreseller.com
 * @since      3.0.0
 *
 * @package    Ctr
 * @subpackage Ctr/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div id="chiptuningreseller-settings-container">
    <form class='mar-plugin-form' method="post" action="" enctype="multipart/form-data" style="background: white;padding: 20px;border: 1px solid #ddd;margin-right: 20px;border-radius: 4px;">
    <div class="chiptuningreseller-masthead__logo-container">
        <img style="float:right; padding-right:40px; padding-top:20px; padding-bottom:10px;max-width:300px;" class="chiptuningreseller-masthead__logo" src="<?php echo esc_url( plugins_url( '../../public/assets/chiptuningreseller-logo-black.png', __FILE__ ) ); ?>" alt="ChiptuningReseller"/>
        <h2 style="position:absolute;right:60px;padding-top:25px;"> <?php echo CTR_VERSION; ?></h2>
    </div>
    <?php if(TESTMODE) { ?>
        <h3 class="msg-warning" style="float:right;padding-top:10px;padding-right:15px;">Localhost testmode activated - connected to staging server!</h3>
    <?php } ?>
    <input type="hidden" name="form_type" value="main" />
    <h2><span class="dashicons dashicons-dashboard"></span> <?php _e("ChiptuningReseller settings", "ctr"); ?></h2>
            <?php _e("Manage your ChiptuningReseller settings here.", "ctr"); ?>
            <table class="form-table">
                <tbody>
                <tr>
                    <th scope="row"><?php _e("Show prices", "ctr"); ?></th>
                    <td><fieldset><legend class="screen-reader-text"><span><?php _e("Show price on site", "ctr"); ?>?</span></legend><label for="show_price">
                    <input name="show_price" type="checkbox" id="show_price" value="1" <?php if((isset($catalogData['show_price'])) && ($catalogData['show_price'] == 1)) {echo 'checked'; } ?>>
                    <?php _e("Show price on site", "ctr"); ?></label>
                    </fieldset></td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Enable cache", "ctr"); ?>?</th>
                    <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Enable caching greatly improves speed", "ctr"); ?>?</span></legend><label for="enable_cache">
                    <input name="enable_cache" type="checkbox" id="enable_cache" value="1" <?php if((isset($catalogData['enable_cache'])) && ($catalogData['enable_cache'] == '1')) {echo 'checked'; } ?>>
                    <?php _e("Enable caching greatly improves speed", "ctr"); ?></label><br/>
                    <a href="#" title="<?php _e("Clean up all cached database information and re-cache it", "ctr"); ?>" id="clearCache" class="button button-primary"><span class="dashicons dashicons-trash"></span> <?php _e("Flush database cache", "ctr"); ?></a>
                    <a href="#" title="<?php _e("Remove all media items and re-download them (makes site slow for first time loading)", "ctr"); ?>" id="deleteMedia" class="button button-primary"><span class="dashicons dashicons-images-alt"></span> <?php _e("Flush media", "ctr"); ?></a>
                    <a href="#" title="<?php _e("Remove the cached template code", "ctr"); ?>" id="deleteTemplateCache" class="button button-primary"><span class="dashicons dashicons-media-code"></span> <?php _e("Flush templates", "ctr"); ?></a>
                    <a href="#" title="<?php _e("Remove the /wp-content/uploads/ctr folder", "ctr"); ?>" id="deleteAllCache" class="button button-primary"><span class="dashicons dashicons-warning"></span> <?php _e("Flush everything", "ctr"); ?></a>
                    </fieldset></td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Currency", "ctr"); ?></th>
                    <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Change the currency you want to show your customers", "ctr"); ?>?</span></legend><label for="show_price">
                    <input name="currency" type="text" id="currency" value="<?php echo (isset($catalogData['currency'])) ? ($catalogData['currency']) : '';?>">
                    </label><br/>
                    <small><?php _e("Change the currency you want to show your customers", "ctr"); ?></small>
                    </fieldset></td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Specifications start URL", "ctr"); ?></th>
                    <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Change the Specifications start URL", "ctr"); ?>?</span></legend><label for="start_url">
                    <input disabled name="start_url" type="text" id="start_url" value="<?php echo (isset($catalogData['start_url'])) ? ($catalogData['start_url']) : '';?>"> <span id="change_start_url" class="button"><span class="dashicons dashicons-shield"></span> <?php _e("Change", "ctr"); ?></span>
                    </label>
                        <em><?php _e("For example, 'chip-tuning' will handle all traffic for specifications on the URL www.yoursite.com/chip-tuning", "ctr"); ?></em>
                    <br/>
                    <div class="msg-warning"><?php _e("Warning! Changing this URL when your site is already indexed by Google can cause big issues regarding your SEO performance! Change ONLY if you know what you're doing!", "ctr"); ?></div>
                    </fieldset></td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Display language", "ctr"); ?></th>
                    <td> <fieldset><legend class="screen-reader-text"><span><?php _e("Display language (select automatic to let plugin show language based upon WP setting)", "ctr"); ?>?</span></legend><label for="show_business_field">
                    <select disabled name="display_lang" id="display_lang">
                        <?php foreach ($catalogData['languages'] as $key => $value) : ?>
                            <option value="<?php echo $value['id'] ?>"  <?php 
                            if (isset($catalogData['display_lang']) AND $catalogData['display_lang']!='' AND $catalogData['display_lang']==$value['id'] ) echo 'selected';
                            ?>><?php echo $value['name'] ?></option>        
                        <?php endforeach ?>
                    </select><span id="change_language" class="button"><span class="dashicons dashicons-shield"></span> <?php _e("Change", "ctr"); ?></span>
                    </label><br/><div class="msg-warning"><?php _e("Warning! Changing the language when your site is already indexed by Google can cause big issues regarding your SEO performance! Change ONLY if you know what you're doing!", "ctr"); ?></div>
                    </fieldset></td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Show tuningtypes", "ctr"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Show or hide stages on your website", "ctr"); ?>?</span></legend>
                            <label for="show_st_1" class="show_st_checkbox">
                                <input name="show_stages[stage_1]" type="checkbox" id="show_st_1" value="1" <?php if((isset($catalogData['show_stages']['stage_1'])) && ($catalogData['show_stages']['stage_1'] == '1')) {echo 'checked'; }  ?>>
                                Stage 1
                            </label>
                            <label for="show_st_2" class="show_st_checkbox">
                                <input name="show_stages[stage_2]" type="checkbox" id="show_st_2" value="1" <?php if((isset($catalogData['show_stages']['stage_2'])) && ($catalogData['show_stages']['stage_2'] == '1')) {echo 'checked'; }  ?>>
                                Stage 2
                            </label>
                            <label for="show_st_3" class="show_st_checkbox">
                                <input name="show_stages[stage_3]" type="checkbox" id="show_st_3" value="1" <?php if((isset($catalogData['show_stages']['stage_3'])) && ($catalogData['show_stages']['stage_3'] == '1')) {echo 'checked'; }  ?>>
                                Stage 3
                            </label>
                            <label for="show_st_4" class="show_st_checkbox">
                                <input name="show_stages[stage_4]" type="checkbox" id="show_st_4" value="1" <?php if((isset($catalogData['show_stages']['stage_4'])) && ($catalogData['show_stages']['stage_4'] == '1')) {echo 'checked'; }  ?>>
                                Stage 4
                            </label>
                            <label for="show_st_dsg" class="show_st_checkbox">
                                <input name="show_stages[stage_dsg]" type="checkbox" id="show_st_dsg" value="1" <?php if((isset($catalogData['show_stages']['stage_dsg'])) && ($catalogData['show_stages']['stage_dsg'] == '1')) {echo 'checked'; }  ?>>
                                DSG Tuning
                            </label>
                            <label for="show_st__xtra" class="show_st_checkbox">
                                <input name="show_stages[stage_extra]" type="checkbox" id="show_st_extra" value="1" <?php if((isset($catalogData['show_stages']['stage_extra'])) && ($catalogData['show_stages']['stage_extra'] == '1')) {echo 'checked'; }  ?>>
                                Extra
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Show vehicle types", "ctr"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Show or hide types on your website", "ctr"); ?>?</span></legend>
                            <label for="show_cars" class="show_st_checkbox">
                                <input name="show_vehicles[cars]" type="checkbox" id="show_cars" value="1" <?php if((isset($catalogData['show_vehicles']['cars'])) && ($catalogData['show_vehicles']['cars'] == '1')) {echo 'checked'; }  ?>>
                                Cars
                            </label>
                            <label for="show_bikesquad" class="show_st_checkbox">
                                <input name="show_vehicles[bikesquad]" type="checkbox" id="show_bikesquad" value="1" <?php if((isset($catalogData['show_vehicles']['bikesquad'])) && ($catalogData['show_vehicles']['bikesquad'] == '1')) {echo 'checked'; }  ?>>
                                Bikes & Quads
                            </label>
                            <label for="show_tractors" class="show_st_checkbox">
                                <input name="show_vehicles[tractors]" type="checkbox" id="show_tractors" value="1" <?php if((isset($catalogData['show_vehicles']['tractors'])) && ($catalogData['show_vehicles']['tractors'] == '1')) {echo 'checked'; }  ?>>
                                Tractors
                            </label>
                            <label for="show_trucks" class="show_st_checkbox">
                                <input name="show_vehicles[trucks]" type="checkbox" id="show_trucks" value="1" <?php if((isset($catalogData['show_vehicles']['trucks'])) && ($catalogData['show_vehicles']['trucks'] == '1')) {echo 'checked'; }  ?>>
                                Trucks
                            </label>
                            <label for="show_motorboats" class="show_st_checkbox">
                                <input name="show_vehicles[motorboats]" type="checkbox" id="show_motorboats" value="1" <?php if((isset($catalogData['show_vehicles']['motorboats'])) && ($catalogData['show_vehicles']['motorboats'] == '1')) {echo 'checked'; }  ?>>
                                (Motor)Boats
                            </label>
                            <label for="show_jet-skis" class="show_st_checkbox">
                                <input name="show_vehicles[jet-skis]" type="checkbox" id="show_jet-skis" value="1" <?php if((isset($catalogData['show_vehicles']['jet-skis'])) && ($catalogData['show_vehicles']['jet-skis'] == '1')) {echo 'checked'; }  ?>>
                                Jet Ski's
                            </label>
                        </fieldset>
                        <small><?php _e("If nothing is checked, all will be shown", "ctr"); ?></small>
                    </td>
                </tr>
                <th scope="row"><?php _e("API Key", "ctr"); ?></th>
                <td>
                    <fieldset>
                        <legend class="screen-reader-text"><span><?php _e("Enter your API key here", "ctr"); ?></span></legend>
                        <p><label for="api_key"><?php _e("Copy and paste your API key here", "ctr"); ?> <a href="https://app.chiptuningreseller.com" target="_blank"><?php _e("Go to your ChiptuningReseller dashboard", "ctr"); ?></a> <?php _e("to manage and create API keys", "ctr"); ?>.</label></p>
                        <p>
                            <input type="text" name="api_key" id="api_key" class="large-text code" value="<?php echo (isset($catalogData['api_key'])) ? ($catalogData['api_key']) : '';?>"><small>enter full API key, including number id, like so: 00|LEnh42dDoh9......</small>
                        </p>
                        <br/>
                        <?php if($catalogData['connection_valid'] !== false) { ?>
                            <div class="msg-success"><strong><?php _e("API connection succeeded!", "ctr"); ?> [<?php echo $catalogData['connection_valid']['name']; ?>]</strong></div>
                        <?php } else { ?>
                            <div class="msg-error">
                                <strong><?php _e("API connection failed!", "ctr"); ?></strong><br/>
                                <?php _e("If you have accidentally changed the API key, please restore it ASAP, because this will significantly decrease your SEO positions!", "ctr"); ?>
                            </div>
                        <?php } ?>
                    </fieldset>
                </td>
                </tr>
                </tbody></table>
                <input type="hidden" name="update_settings" value="1">
                <?php submit_button("Save"); ?> 
            </div>
            <div class="col">
                <h2><?php _e("Plugin instructions", "ctr"); ?></h2>
                <ol>
                    <li>- <?php _e("To use the dropdown selector anywhere using a shortcode, use ", "ctr"); ?> <strong>[ctr_show_selector]</strong>.</li>
                    <li>- Display a custom set of data on any page you want with [ctr_show_data] and use these parameters like so: [ctr_show_data read_methods=powergate] - this will show only brands readable with powergate.</li>
                    <li>- <?php _e("Enter your API key and click save, for help and API keys visit our ", "ctr"); ?> <a href="https://www.chiptuningreseller.com/"  target="_blank"><?php _e("API Support page", "ctr"); ?></a>.</li>
                    <li>- <?php _e("After entering your API key you can visit ", "ctr"); ?> <b>( <a href="<?php echo get_site_url() ?>/chip-tuning/" target="_blank"><?php echo get_site_url() ?>/chip-tuning/</a> )</b> <?php _e("to view your plugin", "ctr"); ?></li>
                </ol>
            </div>
    </form>
<script>jQuery(document).ready(function($) {

$( "#clearCache" ).click(function() {
    var confTrashCache = confirm("Are you 100% sure?\nAll information for brands, series, models and stages will be re-cached if needed.");
    if (confTrashCache == true) {
        jQuery.post(ajaxurl, {'action': 'flush_cache'}, function(response) {
            alert(response);
        });    
    } else {
        txt = "Nothing deleted";
    }
    
});
$( "#deleteMedia" ).click(function() {
    var confTrashCache = confirm("Are you 100% sure?\nAll media items (all images, logos etc) will be deleted and need to be re-downloaded.");
    if (confTrashCache == true) {
        jQuery.post(ajaxurl, {'action': 'flush_media'}, function(response) {
            alert(response);
        });    
    } else {
        txt = "Nothing deleted";
    }
    
});

$( "#deleteTemplateCache" ).click(function() {
    var confTrashCache = confirm("The page templates will be recreated from your base template files. Are you sure? Media and dat will not be removed.");
    if (confTrashCache == true) {
        jQuery.post(ajaxurl, {'action': 'flush_templates'}, function(response) {
            alert(response);
        });    
    } else {
        txt = "An error occured... could not delete the cache. Try by deleting yourself in the wp-content/plugins/ctr/public/cache folder ";
    }
    
});

$( "#deleteAllCache" ).click(function() {
    var confTrashCache = confirm("All cached files that have been built by the plugin will be removed (in folder wp-content/uploads/ctr)");
    if (confTrashCache == true) {
        jQuery.post(ajaxurl, {'action': 'flush_all'}, function(response) {
            alert(response);
        });    
    } else {
        txt = "An error occured... could not delete the cache. Try by deleting yourself in the wp-content/uploads/ctr folder ";
    }
    
});

$( "#change_start_url" ).click(function() {
    var confUrlChange = confirm("Warning! Changing this URL can cause major SEO issues! Please only change when you have just installed the plugin!");
    if(confUrlChange) {
        event.preventDefault();
        $('#start_url').prop("disabled", false).focus();
        return;
    } else {
        $('#start_url').prop("disabled", true);
    }
});

$( "#change_language" ).click(function() {
    var confLangChange = confirm("Warning! Changing the language can cause major SEO issues! Please only change when you have just installed the plugin!");
    if(confLangChange) {
        event.preventDefault();
        $('#display_lang').prop("disabled", false).focus();
        return;
    } else {
        $('#display_lang').prop("disabled", true);
    }
});
});</script>