<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to set up the SEO titles and other SEO related items for the plugin.
 *
 * @link       https://www.chiptuningreseller.com
 * @since      3.3.9.6
 *
 * @package    Ctr
 * @subpackage Ctr/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div id="chiptuningreseller-settings-container">
    <form class='mar-plugin-form' method="post" action="" enctype="multipart/form-data" style="background: white;padding: 20px;border: 1px solid #ddd;margin-right: 20px;border-radius: 4px;">
    <div class="chiptuningreseller-masthead__logo-container">
        <img style="float:right; padding-right:40px; padding-top:20px; padding-bottom:10px;max-width:300px;" class="chiptuningreseller-masthead__logo" src="<?php echo esc_url( plugins_url( '../../public/assets/chiptuningreseller-logo-black.png', __FILE__ ) ); ?>" alt="ChiptuningReseller"/>
        <h2 style="position:absolute;right:60px;padding-top:25px;"> <?php echo CTR_VERSION; ?></h2>
    </div>
    <?php if(TESTMODE) { ?>
        <h3 class="msg-warning" style="float:right;padding-top:10px;padding-right:15px;">Localhost testmode activated - connected to staging server!</h3>
    <?php } ?>
        <input type="hidden" name="form_type" value="seo" />
        <h2><span class="dashicons dashicons-clipboard"></span> <?php _e("ChiptuningReseller SEO Settings", "ctr"); ?></h2>
        <?php _e("Set custom SEO titles for individual Chiptuning Reseller pages", "ctr"); ?><br />
        <?php _e("Leave (or make) empty to show the default plugin titles", "ctr"); ?>
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row"><?php _e("Brand page SEO title", "ctr"); ?></th>
                    <td>
                        <label for="seo_settings_brand">
                            <input class="wide-input" name="seo_settings[brand][title]" type="text" id="seo_settings_brand" placeholder="Specifications for %BRAND_NAME%" value="<?php if (isset($catalogData['seo_settings']['brand']['title'])) {
                                echo $catalogData['seo_settings']['brand']['title'];
                            } ?>" class="regular-text code">
                        </label>
                        <p> <?php _e("Available tags", "ctr"); ?>:
                            <ul role="list" class="button-list">
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of your blog (for example Another Wordpress Site)", "ctr"); ?>">
                                        %BLOG_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Type of vehicle (for example Cars)", "ctr"); ?>">
                                        %VEHICLE_TYPE%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the brand (for example Alfa Romeo)", "ctr"); ?>">
                                        %BRAND_NAME%</button>
                                </li>
                            </ul>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Serie page SEO title", "ctr"); ?></th>
                    <td>
                        <label for="seo_settings_serie">
                            <input class="wide-input" name="seo_settings[serie][title]" type="text" id="seo_settings_serie" placeholder="Specifications for %BRAND_NAME% %SERIE_NAME%" value="<?php if (isset($catalogData['seo_settings']['serie']['title'])) {
                                echo $catalogData['seo_settings']['serie']['title'];
                            } ?>" class="regular-text code">
                        </label>
                        <p> <?php _e("Available tags", "ctr"); ?>:
                            <ul role="list" class="button-list">
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of your blog (for example Another Wordpress Site)", "ctr"); ?>">
                                        %BLOG_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Type of vehicle (for example Cars)", "ctr"); ?>">
                                        %VEHICLE_TYPE%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the brand (for example Alfa Romeo)", "ctr"); ?>">
                                        %BRAND_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the serie (for example Guiletta)", "ctr"); ?>">
                                        %SERIE_NAME%</button>
                                </li>
                            </ul>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Build page SEO title", "ctr"); ?></th>
                    <td>
                        <label for="seo_settings_model">
                            <input class="wide-input" name="seo_settings[model][title]" type="text" id="seo_settings_model" placeholder="Specifications for %BRAND_NAME% %SERIE_NAME% %BUILD_NAME%" value="<?php if (isset($catalogData['seo_settings']['model']['title'])) {
                                echo $catalogData['seo_settings']['model']['title'];
                            } ?>" class="regular-text code">
                        </label>
                        <p> <?php _e("Available tags", "ctr"); ?>:
                            <ul role="list" class="button-list">
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of your blog (for example Another Wordpress Site)", "ctr"); ?>">
                                        %BLOG_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Type of vehicle (for example Cars)", "ctr"); ?>">
                                        %VEHICLE_TYPE%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the brand (for example Alfa Romeo)", "ctr"); ?>">
                                        %BRAND_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the serie (for example Guiletta)", "ctr"); ?>">
                                        %SERIE_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the model (for example 2008 - 2010)", "ctr"); ?>">
                                        %BUILD_NAME%</button>
                                </li>
                            </ul>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e("Stage page SEO title", "ctr"); ?></th>
                    <td>
                        <label for="seo_settings_stage">
                            <input class="wide-input" name="seo_settings[stage][title]" type="text" id="seo_settings_stage" placeholder="Specifications for %BRAND_NAME% %SERIE_NAME% %BUILD_NAME% %ENGINE_NAME%" value="<?php if (isset($catalogData['seo_settings']['stage']['title'])) {
                                echo $catalogData['seo_settings']['stage']['title'];
                            } ?>" class="regular-text code">
                        </label>
                        <p> <?php _e("Available tags", "ctr"); ?>:
                            <ul role="list" class="button-list">
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of your blog (for example Another Wordpress Site)", "ctr"); ?>">
                                        %BLOG_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Type of vehicle (for example Cars)", "ctr"); ?>">
                                        %VEHICLE_TYPE%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the brand (for example Alfa Romeo)", "ctr"); ?>">
                                        %BRAND_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the serie (for example Guiletta)", "ctr"); ?>">
                                        %SERIE_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the model (for example 2008 - 2010)", "ctr"); ?>">
                                        %BUILD_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("Name of the engine (for example 2.0)", "ctr"); ?>">
                                        %ENGINE_NAME%</button>
                                </li>
                                <li>
                                    <button type="button" class="button button-secondary" title="<?php _e("HP power of the engine (for example 250) - without HP text", "ctr"); ?>">
                                        %ENGINE_POWER_HP%</button>
                                </li>
                            </ul>
                    </td>
                </tr>
            </tbody>
        </table>
        <input type="hidden" name="update_settings" value="1">
        <?php submit_button("Save"); ?>
</div>
</form>
</div>