<?php

/**
 * Fired during plugin deinstallation (deletion).
 *
 * @link       https://www.chiptuningreseller.com
 * @since      3.0.0
 *
 * @package    Ctr
 * @subpackage Ctr/includes
 */

/**
 * Fired during plugin deinstallation (deletion).
 *
 * This class defines all code necessary to run during the plugin's deinstallation.
 *
 * @since      3.0.0
 * @package    Ctr
 * @subpackage Ctr/includes
 * @author     M Bos <support@chiptuningreseller.com>
 */
require_once plugin_dir_path(dirname(__FILE__)) . 'includes/class-ctr-helpers.php';

class Ctr_Uninstaller {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    3.0.0
	 */
	static function uninstall() {
		if (!defined('WP_UNINSTALL_PLUGIN')) {
            die;
        }
		
        global $wpdb;
        $wpdb->query("DROP TABLE IF EXISTS {$wpdb->prefix}chiptuningreseller;");
		
		$helpers = new Ctr_Helpers();
		$dir = wp_upload_dir()['basedir'] . '/ctr';
		if (is_dir($dir)) {
			if($helpers->deleteDirectory($dir)) {
				//
			}
		} else {
			echo 'Something went wrong deleting the CTR folder, try to do this manually - remove wp-content/uploads/ctr! (the plugin has been deleted succesfully)';
		}
	}

}
