Vue.createApp({
  data() {
    return {
      selectedType: '',
      typeData: {},
      brandData: {},
      selectedBrands: [],
      serieData: {},
      selectedSeries: [],
      modelData: {},
      selectedModels: [],
      engineData: {},
      selectedEngines: [],
      redirectLoading: false,
      brandsLoaded: false,
      seriesLoaded: false,
      modelsLoaded: false,
      enginesLoaded: false,
    };
  },
  mounted() {
    if (typeof vTypes !== "undefined") {
      this.typeData = vTypes;
    }
    if (typeof vData !== "undefined") {
      this.brandData = vData.brands;
      this.serieData = vData.series;
      this.modelData = vData.models;
    }
  },
  methods: {
    resetTypeSelector() {
        this.selectedType = '';
    },
    typeSelected(evt) {
      console.log(evt)
      if ((evt.target) && (evt.target.value)) {
        this.selectedBrands = [];
        this.brandData.forEach((brand) => {
          if (brand.type == evt.target.value) {
            this.selectedBrands.push(brand);
          }
        });
        this.brandsLoaded = true;
        setTimeout(() => {
          this.brandsLoaded = false;
        }, 1500);
      }
    },
    brandSelected(evt) {
      if (evt.target.value) {
        this.selectedSeries = [];
        this.serieData.forEach((serie) => {
          if (serie.brand_id == evt.target.value) {
            this.selectedSeries.push(serie);
          }
        });
      }
    },
    serieSelected(evt) {
      if (evt.target.value) {
          this.selectedModels = [];
        this.modelData.forEach((model) => {
          if (model.serie_id == evt.target.value) {
            this.selectedModels.push(model);
          }
        });
      }
    },
    modelSelected(evt) {
      if (evt.target.value) {
        console.log(evt.target.value);
        axios
          .get(homeUrl, {
            params: {
              ctr_active: true,
              ctr_model_id: evt.target.value,
              ajax: true,
            },
          })
          .then((resp) => {
            this.selectedEngines = resp.data;
          })
          .catch((err) => {
            console.log("An error occured while fetching the engines...", err);
          });
      }
    },
    engineSelected(evt) {
      if (evt.target.value) {
          this.redirectLoading = true;
        console.log(evt.target.value);
        axios
          .get(homeUrl, {
            params: {
              ctr_active: true,
              ctr_engine_id: evt.target.value,
              ajax: true,
            },
          })
          .then((resp) => {
            if (
              resp.data.url &&
              !window.location.href.includes(resp.data.url)
            ) {
              var redirUrl = resp.data.url;
              window.location.href = redirUrl;
            }
          })
          .catch((err) => {
            console.log("An error occured while fetching the engines...", err);
          });
      }
    },
  },
  watch: {
    selectedType(type) {
        this.typeSelected(type)
    }
}
}).mount("#selectorApp");
