<?php
require_once CTR_PLUGIN_DIR . 'includes/class-ctr-helpers.php';
require_once CTR_PLUGIN_DIR . 'includes/class-ctr-api-vehicle-types.php';
require_once CTR_PLUGIN_DIR . 'includes/class-ctr-api-selector.php';

class Ctr_Module_DropdownSelector
{
    private $settings;

    public function __construct($settings)
    {
        $this->settings = $settings;
    }

    public function show_dropdown()
    {

        $CUSTOM_TPL_PATH    = wp_upload_dir()['basedir'] . '/ctr/custom_templates/';
        $shortcodeTemplate = CTR_PLUGIN_DIR . 'public/partials/ctr-public-selector.php';
        if (file_exists($shortcodeTemplate)) {

            $ctrSettings = $this->settings;
            $apiVehicleTypes = new Ctr_VehicleTypes($ctrSettings);
            
            $helpers = new Ctr_Helpers();
            $domain = $helpers->getDomain();

            $ctrSelectorApi = new Ctr_SelectorApi();
            $jsonData = $ctrSelectorApi->getSelectorData();
            $jsonDataPath = $ctrSelectorApi->getSelectorDataPath();

            $vTypes = [];

            // Put the VehicleTypes into an array to be used later on
            foreach ($apiVehicleTypes->getAllTypes() as $vType) {
                if (!is_array($ctrSettings['show_vehicles']) || !isset($ctrSettings['show_vehicles'])) {
                    $translatedSlug = $helpers->translate_vehicle_type(strtolower($vType['slug']), $ctrSettings['display_lang']);
                    $selected = (isset($data['vehicle_type'])) && ($vType['slug'] == $data['vehicle_type']) ? 'selected' : '';
                    array_push($vTypes, ['selected' => $selected, 'value' => $vType['slug'], 'name' => ucfirst(str_replace('-', ' ', $translatedSlug))]);
                } elseif (((is_array($ctrSettings['show_vehicles'])) && array_key_exists(strtolower($vType['slug']), $ctrSettings['show_vehicles'])) || !is_array($ctrSettings['show_vehicles'])) {
                    $translatedSlug = $helpers->translate_vehicle_type(strtolower($vType['slug']), $ctrSettings['display_lang']);
                    $selected = (isset($data['vehicle_type'])) && ($vType['slug'] == $data['vehicle_type']) ? 'selected' : '';
                    array_push($vTypes, ['selected' => $selected, 'value' => $vType['slug'], 'name' => ucfirst(str_replace('-', ' ', $translatedSlug))]);
                }
            }


            $data['vehicle_types'] = json_encode($vTypes);
            /**
             * DO NOT REMOVE
             * SET VIEW VARIABLES
             */
            $PLUGIN_ROOT_URL    = $domain . '/' . $this->settings['start_url'];
            $data['start_url'] = $PLUGIN_ROOT_URL;

            $ASSETS_URL         = content_url('uploads/ctr/assets/');
            $MEDIA_URL          = get_site_url() . '/' . $this->settings['start_url'] . '/assets/media/';
            $LANGUAGE          = $this->settings['display_lang'];
            
            ob_start();
            $view = require_once($shortcodeTemplate);
            $output = ob_get_clean();
            return $output;
        }
        //If no template found, return nothing
        return '';
    }
}
