<?php
$startSlug = (isset($data['start_url']) && isset($data['translated_vehicle_type'])) ? $data['start_url'] . $data['translated_vehicle_type'] . '/' : $data['trailingSlash'];

if (isset($data['brands']) && isset($ctrDisplay)) {
  $brandData = [];
  $i = 0;
  foreach ($data['brands'] as $idx => $brand) {
    if(isset($brand['slug'])) {
      $brandData[$i]['slug'] = $startSlug . $brand['slug'] . $data['trailingSlash'];
      $brandData[$i]['name'] = $ctrHelpers->cleanString($brand['name']);
      $brandData[$i]['seriecount'] = isset($brand['seriecount']) ? $brand['seriecount'] : '';
      $imageLink = $ASSETS_URL . 'no_serie.jpg';

      /** Retrieve all media attached to this item */
      if(isset($brand['thumbnail'])) {
        
        $imageLink = $ctrMedia->get_media_by_url($brand['thumbnail'], $brand['type']);
      }
      elseif (is_array($brand['media']) && count($brand['media']) !== 0) {
        $mediaId = $brand['media'][0]['id'];
        $imageLink = $ctrMedia->get_media($brand['media'][0]['id'], 'brands', NULL, 'medium');
      }

      if (isset($SETTINGS['layout_settings']['lazy_load_images'])) {
        $brandData[$i]['image']  = '<noscript><img src="' . $imageLink . '"/></noscript>';
        $brandData[$i]['image'] .= '<img loading="lazy" class="lazy-load  src="'.$imageLink.'" data-src="'.$imageLink.'" data-src-mobile="' . $imageLink . '" width="100" height="100"/>';
        $brandData[$i]['imageClass'] .= 'lazy';
        $brandData[$i]['image'] = $imageLink;
      } else {
        $brandData[$i]['image'] = $imageLink;
      }
      $i++;
    }
  }
  /** Prepare all data to be injected into the template */
  $injectData = [
    'urlAssets' => $ASSETS_URL,
    'lblSelectABrand' => esc_html__('Please select a brand', 'ctr'),
    'lblBrandName' => isset($data['brand']) ? $data['brand']['name'] : '',
    'lblBackTo' => esc_html__('Back to', 'ctr'),
    'lblVehicleType' => str_replace("%20", " ", $data['vehicle_type']),
    'lblAllBrands' => esc_html__('All brands', 'ctr'),
    'lblItems' => esc_html__('Items', 'ctr'),
    'backUrl' => isset($data['backUrl']) ? $data['backUrl'] : '',
    'trailingSlash' => isset($data['trailingSlash']) ? $data['trailingSlash'] : '',
    'dataBrands' => $brandData,
    'is_admin' => $data['is_admin'],
  ];

  // Check if a custom template exists in the theme folder, if not, load the plugin template file
  if (file_exists($CUSTOM_TPL_PATH . 'brands.template.php')) {
    echo '<!--- Custom template found, loading from there --->';
    $ctrDisplay->renderFile('brands', $injectData, $CUSTOM_TPL_PATH);
  } else {
    $ctrDisplay->renderFile('brands', $injectData);
  }
} else {
?>
  <h4>Sorry, no series found...</h4>
<?php
}
?>