<?php
 /** Prepare all data to be injected into the template */
 $injectData = [
    'urlAssets' => $ASSETS_URL,
    'urlRoot' => $PLUGIN_ROOT_URL,
    'lblSelectABrand' => __('Please select a brand', 'ctr'),
    'lblBrandName' => isset($data['brand']) ? $data['brand']['name'] : '',
    'lblSerieName' => isset($data['serie']) ? $data['serie']['name'] : '',
    'lblModelName' => isset($data['model']) ? $data['model']['name'] : '',
    'lblEngineName' => isset($data['engine']['name']) ? $data['engine']['name'] : '',
    'lblTuning' => __('Tuning', 'ctr'),
    'lblBackTo' => __('Back to', 'ctr'),
    'lblAllBrands' => __('all brands', 'ctr'),
    'lblBrand' => ucfirst(__('brand', 'ctr')),
    'lblSerie' => ucfirst(__('serie', 'ctr')),
    'lblModel' => ucfirst(__('model', 'ctr')),
    'lblEngine' => ucfirst(__('engine', 'ctr')),
    'lblChiptuning' => ucfirst(__('chiptuning', 'ctr')),
    'translatedVehicleType' => isset($data['translated_vehicle_type']) ? $data['translated_vehicle_type'] : 'cars',
    'internalVehicleType' => isset($data['translated_vehicle_type']) ? $data['translated_vehicle_type'] : 'cars', // Keep this for older versions with unchanged template files...
    'slugVehicleType' => isset($data['vehicle_type']) ? $data['vehicle_type'] : 'cars',
    'slugVehicleBrand' => isset($navigationData['vehicle_brand']) ? $navigationData['vehicle_brand'] : null,
    'slugVehicleSerie' => isset($navigationData['vehicle_serie']) ? $navigationData['vehicle_serie'] : null,
    'slugVehicleModel' => isset($navigationData['vehicle_model']) ? $navigationData['vehicle_model'] : null,
    'slugVehicleEngine' => isset($navigationData['vehicle_engine']) ? $navigationData['vehicle_engine'] : null,
    'vehicleId' => isset($navigationData['vehicle_engine_id']) ? $navigationData['vehicle_engine_id'] : null,
    'brandImage' => isset($data['brandImage']) ? $data['brandImage'] : '',
    'serieImage' => isset($data['serieImage']) ? $data['serieImage'] : '',
    'backUrl' => isset($data['backUrl']) ? $data['backUrl'] : '',
    'trailingSlash' => isset($data['trailingSlash']) ? $data['trailingSlash'] : ''
  ];
// Check if a custom template exists in the theme folder, if not, load the plugin template file
if (file_exists($CUSTOM_TPL_PATH . 'iconcrumbs.template.php')) {
    echo '<!--- Custom template found, loading from there --->';
    $ctrDisplay->renderFile('iconcrumbs', $injectData, $CUSTOM_TPL_PATH);
  } else {
    $ctrDisplay->renderFile('iconcrumbs', $injectData);
  }
?>