<?php
$startSlug = (isset($data['translated_vehicle_type']) && isset($data['brandSlug']) && isset($data['start_url']) && isset($data['serieSlug'])) ?  $data['start_url'] . $data['translated_vehicle_type'] . '/' . $data['brandSlug'] . '/' . $data['serieSlug'] . '/' : '';

if (isset($data['models']) && isset($ctrDisplay)) {
  $modelData = [];
  $serieImage = $ASSETS_URL . $data['translated_vehicle_type'] . '_placeholder.png';
  
  $data['serieImage'] = isset($data['serie']['thumbnail']) ? $ctrMedia->get_media_by_url($data['serie']['thumbnail'], $data['vehicle_type'], 'series') : $ctrMedia->get_model_media('series', $data['serieId'], 'medium', $data['translated_vehicle_type']);
  
  $i = 0;
  foreach ($data['models'] as $idx => $model) {
    if (isset($model['serie_id'])) {
      $modelData[$i]['name'] = $ctrHelpers->cleanString($model['name']);
      $modelData[$i]['slug'] = $startSlug . $model['slug'] . $data['trailingSlash'];
      $modelData[$i]['image'] = $ASSETS_URL . $data['translated_vehicle_type'] . '_placeholder.png';
      $modelData[$i]['enginecount'] = isset($model['enginecount']) ? $model['enginecount'] : '';
      $imageLink = $data['serieImage'];
      /** Retrieve all media attached to this item */
      if((isset($model['thumbnail'])) && (strlen($model['thumbnail']) > 1)) {
        $imageLink = $ctrMedia->get_media_by_url($model['thumbnail'], $model['type'], 'thumbs');
      }
      if (is_array($model['media']) && count($model['media']) !== 0) {
        $mediaId = $model['media'][0]['id'];
        $imageLink = $ctrMedia->get_media($model['media'][0]['id'], 'models', NULL, 'medium');
      }
      if (is_numeric($idx)) {
        if (strpos($imageLink, 'placeholder') === false) {
          $modelData[$i]['image'] = '<img src="' . $imageLink . '" alt="' . $model['name'] . '"  title="' . $model['name'] . '">';
        } else {
          if (isset($data['serieImage'])) {
            // Get the serie image if no model image is present (and if the serieImage is presend)
            $modelData[$i]['image'] = '<img src="' . $data['serieImage'] . '" alt="' . $model['name'] . '"  title="' . $model['name'] . '">';
          } else {
            $modelData[$i]['image'] = '<img src="' . $ASSETS_URL . $data['translated_vehicle_type'] . '_placeholder.png" alt="' . $model['name'] . '"  title="' . $model['name'] . '">';
          }
        }
      }
    }
    $i++;
  }

  $injectData = [
    'urlAssets' => $ASSETS_URL,
    'lblSelectAModel' => esc_html__('Please select a model for', 'ctr'),
    'lblSelectAnEngine' => esc_html__('Please select an engine for', 'ctr'),
    'lblBrandName' => isset($data['brand']) ? $data['brand']['name'] : '',
    'lblSerieName' => isset($data['serie']) ? $data['serie']['name'] : '',
    'lblBackTo' => esc_html__('Back to', 'ctr'),
    'lblItems' => esc_html__('Items', 'ctr'),
    'lblOneModelRedirecting' => esc_html__('Only one model found, redirecting you immediately...', 'ctr'),
    'backUrl' => isset($data['backUrl']) ? $data['backUrl'] : '',
    'trailingSlash' => isset($data['trailingSlash']) ? $data['trailingSlash'] : '',
    'dataModels' => $modelData,
    'isRedirected' => (isset($data['redirecting'])) ? true : false,
    'is_admin' => $data['is_admin']    
  ];

  // Check if a custom template exists in the theme folder, if not, load the plugin template file
  if (file_exists($CUSTOM_TPL_PATH . 'models.template.php')) {
    echo '<!--- Custom template found, loading from there --->';
    $ctrDisplay->renderFile('models', $injectData, $CUSTOM_TPL_PATH);
  } else {
    $ctrDisplay->renderFile('models', $injectData);
  }
} else {
  ?>
  <h4>Sorry, no models found...</h4>
<?php } ?>