<?php

$startSlug = (isset($data['start_url']) && isset($data['translated_vehicle_type']) && isset($data['vehicle_brand'])) ?  $data['start_url'] . $data['translated_vehicle_type'] . '/' . $data['vehicle_brand'] . '/' : $data['trailingSlash'];

if (isset($data['series']) && isset($ctrDisplay)) {
    $serieData = [];
    $i = 0;
    foreach ($data['series'] as $idx => $serie) {
      if (!isset($serie['type']) && isset($serie['id'])) {
        $serieData[$i]['id'] = $serie['id'];
        $serieData[$i]['slug'] = $startSlug . $serie['slug'] . $data['trailingSlash'];
        $serieData[$i]['name'] = $ctrHelpers->cleanString($serie['name']);
        $imageLink =  $ASSETS_URL . 'no_serie.jpg';
        
        if(isset($serie['thumbnail'])) {
          $imageLink = $ctrMedia->get_media_by_url($serie['thumbnail'], $data['vehicle_type'], 'series');
        }

        // Check if the model has media set. If not, then we will try to receive the master DB media items. 
        elseif((isset($serie['media'])) && (count($serie['media']) > 0)) {
          $imageLink = $ctrMedia->get_media($serie['media'][0]['id'], 'series', NULL, 'medium', 'image/png');
        } else {
          $imageLink = $ctrMedia->get_model_media('series', $serie['id'], 'medium');
        }
        
        if (isset($SETTINGS['layout_settings']['lazy_load_images'])) {
          $serieData[$i]['image']  = '<noscript><img src="' . $imageLink . '"/></noscript>';
          $serieData[$i]['image'] .= '<img loading="lazy" class="lazy-load" src="'.$imageLink.'" data-src="'.$imageLink.'" width="100" height="100"/>';
        } else {
          $serieData[$i]['image'] = '<img loading="lazy" class="lazy-load align-middle" src="'.$imageLink.'" data-src="'.$imageLink.'" data-src-mobile="' . $imageLink . '" alt="' . $serie['name'] . '" title="' . $serie['name'] . '"><noscript><img src="' . $imageLink . '" /></noscript>';
        }
      }
      $i++;
    }

    $injectData = [
      'urlAssets' => $ASSETS_URL,
      'lblSelectASerie' => esc_html__('Please select a serie for', 'ctr'),
      'lblBrandName' => isset($data['brand']) ? $data['brand']['name'] : '',
      'lblBackTo' => esc_html__('Back to', 'ctr'),
      'lblAllBrands' => esc_html__('All brands', 'ctr'),
      'backUrl' => isset($data['backUrl']) ? $data['backUrl'] : '',
      'trailingSlash' => isset($data['trailingSlash']) ? $data['trailingSlash'] : '',
      'dataSeries' => $serieData,
      'is_admin' => $data['is_admin'],
    ];
  // Check if a custom template exists in the theme folder, if not, load the plugin template file
  if (file_exists($CUSTOM_TPL_PATH . 'series.template.php')) {
    echo '<!--- Custom template found, loading from there --->';
    $ctrDisplay->renderFile('series', $injectData, $CUSTOM_TPL_PATH);
  } else {
    $ctrDisplay->renderFile('series', $injectData);
  }
} else {
  ?>
  <h4>Sorry, no series found...</h4>
  <?php
  }
?>
<style>
.lazy-load, .lazy-loaded {
  -webkit-transition: opacity 0.5s;
  -moz-transition: opacity 0.5s;
  -ms-transition: opacity 0.5s;
  -o-transition: opacity 0.5s;
  transition: opacity 0.5s;
  opacity:0.7;
}

.lazy-loaded { opacity: 1; }
</style>