<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.chiptuningreseller.com
 * @since      3.0.0
 *
 * @package    Ctr
 * @subpackage Ctr/public/partials
 */
$CUSTOM_TPL_PATH    = wp_upload_dir()['basedir'] . '/ctr/custom_templates/';

if (isset($data['hasErrors'])) {
    $data['error_image'] = get_site_url() . '/wp-content/uploads/ctr/assets/404-error.png';
    require_once plugin_dir_path(dirname(__FILE__)) . 'partials/ctr-public-errors.php';
} else {
    if (isset($data)) {
        if (file_exists($CUSTOM_TPL_PATH . 'widets/partials/brand.template.php')) {
            echo '<!--- Custom template found, loading from there --->';
            $ctrTemplator->renderFile('widgets/data-displayer', ['data' => $data], $CUSTOM_TPL_PATH);
        } else {
            $ctrTemplator->renderFile('widgets/data-displayer.template.php', ['data' => $data]);
        }
    }
}
