<?php

/**
 * The Stage Display page
 * If you want to use your own custom template for showing the stage, please copy the file from /themeplates/stages.template.php to your theme path in the folder /yourtheme/chiptuningreseller/stages.template.php
 * The plugin will automatically see it and will use that for showing the stage
 * 
 * !IMPORTANT! !IMPORTANT! !IMPORTANT! !IMPORTANT! !IMPORTANT! !IMPORTANT!
 * !! COPY ALL FILES IN THE /public/templates files if you want custom layouts !!
 * !IMPORTANT! !IMPORTANT! !IMPORTANT! !IMPORTANT! !IMPORTANT! !IMPORTANT!
 * 
 * The Javascript code below must be kept in place to keep the charts and other animations working!
 */

if ((isset($CUSTOM_TPL_PATH)) && (file_exists($CUSTOM_TPL_PATH . 'stages.template.php'))) {
	echo '<!--- Custom template found, loading from there --->';
	$ctrDisplay->renderFile('stages', $data['stages'], $CUSTOM_TPL_PATH);
} else {
	$ctrDisplay->renderFile('stages', $data['stages']);
}
if (!isset($ctrSettings['layout_settings']['graph_colors'])) { ?>
	<div class="ctrErrorMsg" id="ctrErrorMsg" style="display:none;">Warning: the graph colors have not been set in your CTR admin panel, therefore the graphs and other data cannot be shown</div>
<?php } ?>
<?php if ((isset($ctrSettings['subscriptions'])) && (in_array('premium', $ctrSettings['subscriptions']))) { ?>
	<script type="text/javascript">
		document.addEventListener('DOMContentLoaded', function() {
			<?php
			if (isset($ctrSettings['layout_settings']['graph_colors'])) {
				$chartData = '';
				$chartDataLabels = '"Standard",';
				$chartDataHpData = $data['dataEngine']['hp'] . ', ';
				$chartDataNmData = $data['dataEngine']['nm'] . ', ';

				$chartDataHpBgColor_original = "'" . $ctrSettings['layout_settings']['graph_colors']['original']['hp'] . "', ";
				$chartDataHpBorderColor_original = "'" . $ctrSettings['layout_settings']['graph_colors']['original']['hp'] . "', ";
				$chartDataNmBgColor_original = "'" . $ctrSettings['layout_settings']['graph_colors']['original']['nm'] . "', ";
				$chartDataNmBorderColor_original = "'" . $ctrSettings['layout_settings']['graph_colors']['original']['nm'] . "', ";

				$chartDataHpBgColor_tuning = "'" . $ctrSettings['layout_settings']['graph_colors']['tuning']['hp'] . "', ";
				$chartDataHpBorderColor_tuning = "'" . $ctrSettings['layout_settings']['graph_colors']['tuning']['hp'] . "', ";
				$chartDataNmBgColor_tuning = "'" . $ctrSettings['layout_settings']['graph_colors']['tuning']['nm'] . "', ";
				$chartDataNmBorderColor_tuning = "'" . $ctrSettings['layout_settings']['graph_colors']['tuning']['nm'] . "', ";
				foreach ($data['stageDisplayData'] as $stage) {
					if (!isset($ctrSettings['layout_settings']['graph_display'])) {
						$showGraphForStage = true;
					} else {
						$showGraphForStage = ((isset($stage['name'])) && (isset($ctrSettings['layout_settings'])) && (isset($ctrSettings['layout_settings']['graph_display'])) && (isset($ctrSettings['layout_settings']['graph_display'][$stage['name']]))) ? $ctrSettings['layout_settings']['graph_display'][$stage['name']] : false;
					}
					if ((isset($stage['name'])) && (strpos($stage['name'], 'dsg') === false && strpos($stage['name'], 'extra') === false && strlen($stage['display_name']) > 1) && $showGraphForStage) {
						$chartDataLabels .= ' "' . $stage['display_name'] . '",';
						$chartDataHpData .= $stage['hp_tuning'] . ', ';
						$chartDataNmData .= $stage['nm_tuning'] . ', ';

						$chartDataHpBgColor_tuning .= "'" . $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp']) . "', ";
						$chartDataHpBorderColor_tuning .= "'" . $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp']) . "', ";
						$chartDataNmBgColor_tuning .= "'" . $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['nm']) . "', ";
						$chartDataNmBorderColor_tuning .= "'" . $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['nm']) . "', ";
					}
				}
				if (isset($ctrSettings['layout_settings']['show_graph'])) { ?>
					var barChart = document.getElementById("barChart");

					if (barChart !== null && typeof(barChart) !== 'undefined') {
						var ctx = barChart.getContext('2d');
						/*** Gradient ***/
						var gradient = ctx.createLinearGradient(0, 0, 0, 270);
						gradient.addColorStop(1, '<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp']); ?>');
						gradient.addColorStop(0, '<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['original']['hp']); ?>');

						var gradient1 = ctx.createLinearGradient(0, 0, 0, 270);
						gradient1.addColorStop(1, '<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['nm']); ?>');
						gradient1.addColorStop(0, '<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['nm']); ?>');

						/***************/

						var barChart = new Chart(ctx, {
							backgroundColor: "transparent",
							type: 'bar',
							data: {
								labels: [<?php echo $chartDataLabels; ?>],
								datasets: [{
									label: "<?php echo $data['lblPower']; ?>",
									data: [<?php echo $chartDataHpData; ?>],
									// backgroundColor: [<?php echo $chartDataHpBgColor_tuning; ?>],
									// borderColor: [<?php echo $chartDataHpBorderColor_tuning; ?>],
									// borderWidth: 1,
									backgroundColor: gradient,
								}, {
									label: "<?php echo $data['lblTorque']; ?>",
									data: [<?php echo $chartDataNmData; ?>],
									// backgroundColor: [<?php echo $chartDataNmBgColor_tuning; ?>],
									// borderColor: [<?php echo $chartDataNmBorderColor_tuning; ?>],
									// borderWidth: 1,
									backgroundColor: gradient1,
								}]
							},
							options: {
								aspectRatio: 1.3,
								responsiveAnimationDuration: 1000,
								responsive: true,
								scales: {
									xAxes: [{
										gridLines: {
											display: false
										}
									}],
									yAxes: [{
										ticks: {
											beginAtZero: true
										}
									}]
								}
							}
						});
					}
				<?php }
				if (isset($ctrSettings['layout_settings']['show_dyno'])) { ?>
					/*** Line Chart Settings ***/
					var increase_hp = "0,0,35,62,80,96,100,80,0,0";
					var increase_nm = "0,0,95,97,95,93,82,60,0,0";
					var ori_nm = <?php echo $data['dataEngine']['nm']; ?>;
					var ori_hp = <?php echo $data['dataEngine']['hp']; ?>;
					<?php
					$dataSetsHp = '';
					$dataSetsNm = '';
					$dataSetsHpBg = [$ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp']), $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp']), $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp'])];
					$dataSetsNmBg = [$ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['nm']), $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['nm']), $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['nm'])];
					$s = 0;
					foreach ($data['dataStages'] as $stage) {
						if (!isset($ctrSettings['layout_settings']['graph_display'])) {
							$showGraphForStage = true;
						} else {
							$showGraphForStage = ((isset($ctrSettings['layout_settings'])) && (isset($ctrSettings['layout_settings']['graph_display'])) && (isset($ctrSettings['layout_settings']['graph_display'][$stage['name']]))) ? $ctrSettings['layout_settings']['graph_display'][$stage['name']] : false;
						}
						if ((isset($stage['name']) && (strpos($stage['name'], 'stage_') !== false) && (strpos($stage['name'], 'dsg') === false)) && $showGraphForStage) {
							$lineDataHpData = '';
							$lineDataHpOriData = '';
							$lineDataNmData = '';
							$lineDataNmOriData = '';
							$increaseHp = [0, 0, 35, 62, 80, 96, 100, 80, 0, 0];
							$increaseNm = [0, 0, 95, 100, 95, 93, 82, 60, 0, 0];

							$i = 1;
							foreach ($increaseHp as $increase) {
								$addComma = $i == count($increaseNm) ? '' : ', ';
								if (is_numeric($stage['data']['hp_tuning'])) {
									$lineDataHpOriData .= round($stage['data']['hp_ori'] * $increase / 100) . $addComma;
									$lineDataHpData .= round($stage['data']['hp_tuning'] * $increase / 100) . $addComma;
								}
								$i++;
							}

							$i = 1;
							foreach ($increaseNm as $increase) {
								$addComma = $i == count($increaseNm) ? '' : ', ';
								if (is_numeric($stage['data']['nm_tuning'])) {
									$lineDataNmOriData .= round($stage['data']['nm_ori'] * $increase / 100) . $addComma;
									$lineDataNmData .= round($stage['data']['nm_tuning'] * $increase / 100) . $addComma;
								}
								$i++;
							}

							$dataSetsHp .= "{ label: '" . $data['lblPower'] . " " . $stage['display_name'] . "', data: [" . $lineDataHpData . "], backgroundColor: ['" . $dataSetsHpBg[$s] . "'], borderColor: ['#B81B24'], borderWidth: 1 },";

							$dataSetsNm .= "{ label: '" . $data['lblTorque'] . " " . $stage['display_name'] . "', data: [" . $lineDataNmData . "], backgroundColor: ['" . $dataSetsNmBg[$s] . "'], borderColor: ['#8891A5'], borderWidth: 1, yAxisID: 'y-axis-2' },";
							$s++;
					?>
							var <?php echo $stage['name'] . '_hp'; ?> = <?php echo $stage['data']['hp_tuning']; ?>;
							var <?php echo $stage['name'] . '_nm'; ?> = <?php echo $stage['data']['nm_tuning']; ?>;
					<?php }
					} ?>

					var dynoChart = document.getElementById("ctrLineChart");
					if (dynoChart !== null && typeof(dynoChart) !== 'undefined') {
						dynoChart = document.getElementById("ctrLineChart").getContext('2d');
						var gradientHp = dynoChart.createLinearGradient(0, 0, 0, 400);
						gradientHp.addColorStop(0, '<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp']); ?>');
						gradientHp.addColorStop(1, '<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['tuning']['hp']); ?>');
						if (typeof(Chart) !== 'undefined') {
							var lineChart = new Chart.Line(dynoChart, {
								backgroundColor: "transparent",
								type: 'bar',
								data: {
									labels: ['0 RPM', '1000 RPM', '2000 RPM', '3000 RPM', '4000 RPM', '5000 RPM', '6000 RPM', '7000 RPM', '8000 RPM', '9000 RPM'],
									datasets: [{
											label: "<?php echo $data['lblPower']; ?>",
											data: [<?php echo $lineDataHpOriData; ?>],
											backgroundColor: ['<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['original']['hp']); ?>' ],
											borderColor: ['rgba(155,155,155,1)'],
											borderWidth: 2,
											pointColor: "#fff",
											pointStrokeColor: "#ff6c23",
										},
										<?php echo $dataSetsHp; ?> {
											label: "<?php echo $data['lblTorque']; ?>",
											data: [<?php echo $lineDataNmOriData; ?>],
											backgroundColor: ['<?php echo $ctrHelpers->rgbaConverter($ctrSettings['layout_settings']['graph_colors']['original']['nm']); ?>'],
											borderColor: ['rgba(155,155,155,1)'],
											borderWidth: 2,
											yAxisID: 'y-axis-2',
											pointColor: "#fff",
											pointStrokeColor: [<?php echo $chartDataNmBorderColor_original; ?>],
										},
										<?php echo $dataSetsNm; ?>
									]
								},
								options: {
									aspectRatio: 1.3,
									animation: {
										duration: 3000,
										easing: 'easeInOutElastic'
									},
									responsiveAnimationDuration: 1000,
									responsive: true,
									scales: {
										xAxes: [{
											gridLines: {
												display: false
											}
										}],
										yAxes: [{
											type: 'linear',
											display: true,
											position: 'left',
											id: 'y-axis-1',

										}, {
											type: 'linear',
											display: true,
											position: 'right',
											id: 'y-axis-2',

											// grid line settings
											gridLines: {
												drawOnChartArea: false,
											},
										}]
									}
								},
							});
						} else {
							console.log('CTR: DynoLineChart not activated');
						}
					}
				<?php } ?>

				function animateValue(t, n, e) {
					var a = document.getElementById(t);
					if (null === a) return console.log("Object not found, no animation done"), !1;
					var r = parseInt(a.getAttribute("alt"));
					if (parseFloat(r) < 1) return !1;
					var o = r - n,
						l = n,
						i = n < r ? 1 : -1,
						u = Math.abs(Math.floor(e / o)),
						c = setInterval(function() {
							l += i, (a.innerHTML = l) == r && clearInterval(c)
						}, u)
				}
				<?php
				foreach ($data['dataStages'] as $key => $stage) {
					$speed = rand(2000, 4000);
					if ((isset($stage['name'])) && (stripos($stage['name'], 'stage') !== false)) {
				?>
						setTimeout(function() {
							animateValue("increaseValue_<?php echo $stage['name'] . '_hp'; ?>", 0, <?php echo $speed; ?>);
							animateValue("increaseValue_<?php echo $stage['name'] . '_nm'; ?>", 0, <?php echo $speed; ?>);
						}, 1);
				<?php }
				} ?>
		<?php } ?>
	}, false);
	<?php } ?>
</script>