<!-- DROPDOWN SELECTOR WIDGET (SHORTCODE) START TEMPLATE -->
<div class="selectorSpace row" id="selectorApp">
	<div class="selectorControl selectTypeControl nopadding">
		<label for="selectType"><?php esc_html_e('Type', 'ctr'); ?></label>
		<select class="form-control" name="type" id="selectType" v-model="selectedType" @change="typeSelected">
			<option value="0" selected>-- <?php esc_html_e('Please select vehicle type', 'ctr'); ?> --</option>
			<option v-for="type in typeData" :value="type.value" :key="type.value">{{ type.name }}</option>
		</select>
	</div>
	<div class="selectorControl selectBrandControl nopadding">
		<label for="selectBrand"><?php esc_html_e('Brand', 'ctr'); ?><span id="selectBrandCounter" class="itemCounter"></span></label>
		<select :disabled="selectedBrands.length == 0" class="form-control" :class="{'refreshed': brandsLoaded}" name="brand" id="selectBrand" @change="brandSelected">
			<option value="0" selected v-if="selectedBrands.length == 0">-- <?php esc_html_e('Please select type first', 'ctr'); ?> --</option>
			<option value="0" selected v-else>-- <?php esc_html_e('Select brand', 'ctr'); ?> --</option>
			<option v-for="brand in selectedBrands" :value="brand.id" :key="brand.id">{{ brand.name }}</option>
		</select>
	</div>
	<div class="selectorControl selectSerieControl nopadding">
		<label for="selectSerie"><?php esc_html_e('Serie', 'ctr'); ?><span id="selectSerieCounter" class="itemCounter"></span></label>
		<select :disabled="selectedSeries.length == 0" class="form-control" :class="{'refreshed': seriesLoaded}" name="serie" id="selectSerie" @change="serieSelected">
			<option value="0" selected v-if="selectedSeries.length == 0">-- <?php esc_html_e('Please select brand first', 'ctr'); ?> --</option>
			<option value="0" selected v-else>-- <?php esc_html_e('Select serie', 'ctr'); ?> --</option>
			<option v-for="serie in selectedSeries" :value="serie.id" :key="serie.id">{{ serie.name }}</option>
		</select>
	</div>
	<div class="selectorControl selectModelControl nopadding">
		<label for="selectModel"><?php esc_html_e('Model', 'ctr'); ?><span id="selectModelCounter" class="itemCounter"></span></label>
		<select :disabled="selectedModels.length == 0" class="form-control" :class="{'refreshed': modelsLoaded}" name="builds" id="selectBuild" @change="modelSelected">
			<option value="0" selected v-if="selectedModels.length == 0">-- <?php esc_html_e('Please select a serie first', 'ctr'); ?> --</option>
			<option value="0" selected v-else>-- <?php esc_html_e('Select serie', 'ctr'); ?> --</option>
			<option v-for="model in selectedModels" :value="model.id" :key="model.id">{{ model.name }}</option>
		</select>
	</div>
	<div class="selectorControl selectEngineControl nopadding">
		<label for="selectEngine"><?php esc_html_e('Engine', 'ctr'); ?></label>
		<select :disabled="selectedEngines.length == 0" class="form-control" :class="{'refreshed': enginesLoaded}" name="engines" id="selectEngine" @change="engineSelected">
			<option value="0" selected v-if="selectedEngines.length == 0">-- <?php esc_html_e('Please select a model first', 'ctr'); ?> --</option>
			<option value="0" selected v-else>-- <?php esc_html_e('Select engine', 'ctr'); ?> --</option>
			<option v-for="engine in selectedEngines" :value="engine.id" :key="engine.id">{{ engine.name }} {{ engine.hp }} <?php esc_html_e('HP', 'ctr'); ?></option>
		</select>
	</div>
	<div v-show="redirectLoading" id="loadingDiv" :class="{'fadeInLoader': redirectLoading}">
		<img src="<?php echo get_home_url(); ?>/wp-content/plugins/ctr/public/assets/wheel.png" />

	</div>
	<div class="loader loaderLoading" v-show="redirectLoading"></div>
</div>
<div style="clear:both;"></div>
<style>
	.selectorSpace { display: flex; justify-content: center; margin-bottom: 15px; margin-top: 15px; }
	.selectorControl { flex-basis:auto; display:block; position:relative; float:left; margin-right:20px;}
	.selectorControl input, label, select { width:100%; display:block; clear:both; }
	.selectorControl .form-control { width:100%; }
	#loadingDiv {position: absolute; display: block;width: 100%;text-align: center;left: 0px;height: 6%;padding-top: 10px;background-color: rgba(255,255,255, 0.9);}
	#loadingDiv img {animation: rotation 1s infinite linear;}
	.fadeInLoader { animation: fadeIn 0.3s linear; }
	.loader { width:100%; display:block; position:relative; height: 2px; top:50px; background-color:grey;}
	.loaderLoading {animation: loader 4s linear; }
	@keyframes fadeIn {0% { opacity:0; }100% { opacity:1; }}
	@keyframes rotation {from {transform: rotate(0deg);}to {transform: rotate(359deg);}}
	@keyframes loader {0% {width: 100%;}100% {width: 0%;}}
</style>
<!-- END TEMPLATE -->